Subject: bug#11948: 24.1.50; word-wrap should allow wrapping at all breaking space characters, not just space and tab

From: Stefan Monnier <[email-masked]>
Date: Mon, 16 Jul 2012 16:37:25 -0400

>> I noticed this when in visual-line-mode, and it failed to wrap at an em
>> space (U+2003), but of course there are lotsof other breaking space
>> characters.
> A prerequisite for doing something about this is to decide which
> characters should allow breaking the line.  Is there some guidance in
> the Unicode standard or elsewhere about this?  If not, we will have to
> decide on our own.

I think the issue here is whether we want to "render" the text, or
whether we want to show the file's content to the user.

For text-rendering, any space-like thingy that Unicode says isn't
unbreakable would probably be fine, but for the other case, it can
be important for the user to see the difference between a normal space
and some other space and wrapping the line can hide the difference.

Maybe we can rely on a variable such as nobreak-char-display (where
there's a similar issue).

        Stefan